package com.xhpc.activity.service;

import com.xhpc.activity.domain.XhpcStationDeviceDomain;
import com.xhpc.activity.domain.XhpcWorkStationDomain;
import com.xhpc.activity.vo.XhpcStationDeviceVo;

import java.util.List;
import java.util.Map;

public interface WorkStationService {


    List<Map<String, Object>> getStationDevice(Map<String, Object> params);


    List<Map<String, Object>> getStationDeviceByParent(Map<String, Object> params);


    List<XhpcWorkStationDomain> getStationList(Map<String, Object> params);


    List<Map<String, Object>> getStationDeviceTree(Map<String, Object> params);

    String importDevice(List<XhpcStationDeviceDomain> deviceDomainList, Boolean updateSupport);

    Map<String, Object> getDeviceDetail(Long deviceId);

    Boolean insertDevice(XhpcStationDeviceDomain domain) throws Exception;

    Boolean insertSimpleDevice(XhpcStationDeviceVo vo) throws Exception;

    Boolean updateDevice(XhpcStationDeviceDomain domain);

    Boolean deleteDevice(Long deviceId) throws Exception;
}
